<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>
		
		window.onload = function () {
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "UPLOAD_MONITOR",
				NXEventFunctions: {
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXOperators[id].UpItems = window.dialogArguments.NXOperators["dextnx"].UpItems;
						// 데이터가 로드되면 1초후 업로드를 시작합니다.
						setTimeout(function () {
							NXOperators[id].UploadURL = "http://" + location.host + "/sample.nxnj/service/simpleupload.do";
							NXOperators[id].UploadStart();
						}, 1000);
					},
					OnNXOperatorEventUploadCompleteTotal: function (id, optype) {
					    var resObj = NXOperators[id].Responses;
					    var responseData = "";
					    for (var i = 0; i < resObj.Count; i++) {
					        responseData += (i == 0) ? resObj.Item(i) : "\n" + resObj.Item(i);
					    }

					    // 업로드가 완료되면 1초후 창을 닫습니다.
					    setTimeout(function () {
					    	window.returnValue = responseData;
							window.close();
						}, 1000);
					},
					OnNXOperatorEventUploadCancel: function (id, optype) {
						NXAlert(id, "업로드가 중지되었습니다.");
					}
				}
			});
		};
	</script>
</head>
<body>				
	<div id="dextnx_container" style="position:absolute;left:0px;top:0px;width:100%;height:100%;"></div>
</body>
</html>