<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<link rel="stylesheet" type="text/css" href="${contextPath}/common/styles/default.css"/>
	<title>DEXTUploadNJ Spring Samples</title>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a>DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a></div>
		<div id="MainCenter">
			<article>
				<p class="expText">샘플을 실행하기 전에 아래 내용을 반드시 확인하시기 바랍니다.</p>
				<ul class="expTextSub">
					<li class="bold">해당 샘플은 DEXTUploadNX와 DEXTUploadNJ를 연동하여 업로드/다운로드를 처리하는 예제입니다.</li>
			        <li>샘플은 Java SE 1.6, Tomcat 7, Spring Framework 3.0, Maven 환경을 기반으로 제작되었습니다.</li>
			        <li>샘플은 UTF-8 환경을 기준으로 합니다. 개발환경이 ANSI(euc-kr 같은)인 경우 한글 주석이 모두 깨져 보일 수 있습니다.</li>
			        <li class="bold">샘플에서 DEXTUploadNJ 제품은 평가판 라이선스로 동작합니다.</li>
			        <li class="bold">WEB-INF/dextuploadnj.config DEXTUploadNJ 평가판 라이선스이며, 30일간 사용이 가능합니다.</li>
			        <li class="bold">DEXTUploadNX 제품에 대한 평가판 라이선스는 <a href="http://www.dextsolution.com/evaluation/evaluation.aspx">판매사이트</a>에서 인증키를 요청한 후, DEXTUploadNX.js 파일에 기록해야 합니다.</li>
				</ul>
				<p>&nbsp;</p>
				<table class="samList" id="tlb-upload">
					<colgroup>
						<col width="15%">
        				<col width="85%">
					</colgroup>
					<thead>
						<tr><td colspan="2" class="tableTit">파일 업로드</td></tr>
					</thead>
					<tbody>
						<tr><th><a href="${contextPath}/upload/example.do?index=0001">예제-01</a></th><td>업로드 매니저와 모니터 생성</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0002">예제-02</a></th><td>업로드 아이템 추가/삭제</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0003">예제-03</a></th><td>단순 업로드</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0004">예제-04</a></th><td>가상파일 추가/삭제/원복</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0005">예제-05</a></th><td>게시판 수정 모드</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0006">예제-06</a></th><td>비어있는 폴더 업로드(생성)</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0007">예제-07</a></th><td>파일의 메타데이터 추가/삭제</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0008">예제-08</a></th><td>폼 요소 자동추가, 사용자 폼 요소 추가/삭제</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0009">예제-09</a></th><td>이미지 파일 EXIF 데이터 처리</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0010">예제-10</a></th><td>매니저와 모니터 연동 업로드</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0011">예제-11</a></th><td>매니저와 모니터 연동 업로드(IE 전용)</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0012">예제-12</a></th><td>OROF 파일 업로드</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0013">예제-13</a></th><td>업로드 상태 정보 갱신(이벤트 방식)</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0014">예제-14</a></th><td>업로드 상태 정보 갱신(타이머 방식)</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0015">예제-15</a></th><td>암호화 업로드</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0016">예제-16</a></th><td>파일 실행</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0017">예제-17</a></th><td>파일/폴더 다이얼로그 타이틀 변경</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0018">예제-18</a></th><td>확장자, 파일 개수, 파일 크기 필터링</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0019">예제-19</a></th><td>파일 항목 선택</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0020">예제-20</a></th><td>파일 항목 정렬</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0021">예제-21</a></th><td>파일 항목 정보 확인</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0022">예제-22</a></th><td>프록시 설정</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0023">예제-23</a></th><td>파일 항목 선택/클릭/더블클릭 이벤트</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0024">예제-24</a></th><td>리스트 스타일 변경</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0025">예제-25</a></th><td>압축 업로드</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0026">예제-26</a></th><td>섬네일(Thumbnail) 자동 추가</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0027">예제-27</a></th><td>업로드 속도 제한</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0028">예제-28</a></th><td>이미지 편집</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0029">예제-29</a></th><td>사용자 정의 열 설정</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0030">예제-30</a></th><td>업로드 파일 별칭 정의</td></tr>
						<tr><th><a href="${contextPath}/upload/example.do?index=0031">예제-31</a></th><td>화면 리스트 tree 스타일 설정</td></tr>
					</tbody>
				</table>
				<p>&nbsp;</p>
      			<table class="samList" id="tlb-download">
					<colgroup>
						<col width="15%">
        				<col width="85%">
					</colgroup>
					<thead>
						<tr><td colspan="2" class="tableTit">파일 다운로드</td></tr>
					</thead>
					<tbody>
						<tr><th><a href="${contextPath}/download/example.do?index=0001">예제-01</a></th><td>다운로드 매니저와 모니터 생성</td></tr>
						<tr><th><a href="${contextPath}/download/example.do?index=0002">예제-02</a></th><td>다운로드 파일 항목 추가 및 삭제</td></tr>
						<tr><th><a href="${contextPath}/download/example.do?index=0003">예제-03</a></th><td>단순 다운로드</td></tr>
						<tr><th><a href="${contextPath}/download/example.do?index=0004">예제-04</a></th><td>매니저와 모니터 연동 다운로드</td></tr>
						<tr><th><a href="${contextPath}/download/example.do?index=0005">예제-05</a></th><td>다운로드 상태 정보 갱신(이벤트 방식)</td></tr>
						<tr><th><a href="${contextPath}/download/example.do?index=0006">예제-06</a></th><td>다운로드 상태 정보 갱신(타이머 방식)</td></tr>
						<tr><th><a href="${contextPath}/download/example.do?index=0007">예제-07</a></th><td>복호화 다운로드</td></tr>
						<tr><th><a href="${contextPath}/download/example.do?index=0008">예제-08</a></th><td>파일의 크기를 알 수 없을 때 다운로드 방법</td></tr>
						<tr><th><a href="${contextPath}/download/example.do?index=0009">예제-09</a></th><td>파일 실행</td></tr>
						<tr><th><a href="${contextPath}/download/example.do?index=0010">예제-10</a></th><td>파일 항목 선택</td></tr>
						<tr><th><a href="${contextPath}/download/example.do?index=0011">예제-11</a></th><td>파일 항목 정렬</td></tr>
						<tr><th><a href="${contextPath}/download/example.do?index=0012">예제-12</a></th><td>파일 항목 정보 확인</td></tr>
						<tr><th><a href="${contextPath}/download/example.do?index=0013">예제-13</a></th><td>프록시 설정</td></tr>
						<tr><th><a href="${contextPath}/download/example.do?index=0014">예제-14</a></th><td>파일 항목 선택/클릭/더블클릭 이벤트</td></tr>
						<tr><th><a href="${contextPath}/download/example.do?index=0015">예제-15</a></th><td>리스트 스타일 변경</td></tr>
						<tr><th><a href="${contextPath}/download/example.do?index=0016">예제-16</a></th><td>다운로드 경로 변경</td></tr>
						<tr><th><a href="${contextPath}/download/example.do?index=0017">예제-17</a></th><td>중복 파일 처리 옵션 설정</td></tr>
						<tr><th><a href="${contextPath}/download/example.do?index=0018">예제-18</a></th><td>폴더 구조 다운로드</td></tr>
						<tr><th><a href="${contextPath}/download/example.do?index=0019">예제-19</a></th><td>다운로드 속도 제한</td></tr>
						<tr><th><a href="${contextPath}/download/example.do?index=0020">예제-20</a></th><td>사용자 정의 열 설정</td></tr>
					</tbody>
				</table>
				<p>&nbsp;</p>
      			<table class="samList" id="tlb-viewer">
					<colgroup>
						<col width="15%">
        				<col width="85%">
					</colgroup>
					<thead>
						<tr><td colspan="2" class="tableTit">이미지 뷰어</td></tr>
					</thead>
					<tbody>
						<tr><th><a href="${contextPath}/viewer/example.do?index=0001">예제-01</a></th><td>이미지 뷰어 생성</td></tr>
						<tr><th><a href="${contextPath}/viewer/example.do?index=0002">예제-02</a></th><td>업로드 매니저와 연동</td></tr>
					</tbody>
				</table>
				<p>&nbsp;</p>
      			<table class="samList" id="tlb-etc">
					<colgroup>
						<col width="15%">
        				<col width="85%">
					</colgroup>
					<thead>
						<tr><td colspan="2" class="tableTit">기타</td></tr>
					</thead>
					<tbody>
						<tr><th><a href="${contextPath}/etc/example.do?index=0001">예제-01</a></th><td>다국어 지원 방법</td></tr>
						<tr><th><a href="${contextPath}/etc/example.do?index=0002">예제-02</a></th><td>설치 페이지 자동 이동 금지하기</td></tr>
					</tbody>
				</table>
			</article>
		</div>
		<footer>
    	<div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
  	</footer>
	</div>
</body>
</html>